
Core - Bug # 63367

Status: Resolved Priority: Must have
Author: Markus Klein Category: Frontend
Created: 2014-11-27 Assigned To: Markus Klein
Updated: 2015-01-18 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: no-brainer
Is Regression: Yes
Sprint Focus:
Subject: superfluous ucfirst() kills FE rendering with FLUIDTEMPLATE
Description

Related issues:
related to Core - Bug # 61361: Fluid template path fallback doesn't work in T... Resolved 2014-09-05
related to Core - Bug # 63375: StandaloneView must require upperCase file nam... Rejected 2014-11-27
related to Core - Bug # 63388: UpperCamelCase for Partials and Layouts is req... Closed 2014-11-28

Associated revisions
Revision 2353ef2e - 2014-11-27 18:57 - Markus Klein

[BUGFIX] StandaloneView must not require ucfirst file names

Regression to #61361.
There's no reason to require ucfirst file names for Layouts and Partials.

Resolves: #63367
Releases: 6.2
Change-Id: I3b931a0ef129c88388d427685af47ebb3e4a355f
Reviewed-on: http://review.typo3.org/34705
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Wouter Wolters <typo3@wouterwolters.nl>
Tested-by: Wouter Wolters <typo3@wouterwolters.nl>
Reviewed-by: Stefan Froemken <froemken@gmail.com>
Tested-by: Stefan Froemken <froemken@gmail.com>
Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>
Tested-by: Helmut Hummel <helmut.hummel@typo3.org>

Revision 6789c9e3 - 2014-12-02 16:03 - Markus Klein

[BUGFIX] StandaloneView must not require ucfirst file names

Regression to #61361.
There's no reason to require ucfirst file names for Layouts and Partials.

Change-Id: I9402af9120440d9460eec5290b81acda7db0c1cc
Resolves: #63367
Releases: 6.2, master
Reviewed-on: http://review.typo3.org/34920
Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>
Reviewed-by: Jigal van Hemert <jigal.van.hemert@typo3.org>
Tested-by: Jigal van Hemert <jigal.van.hemert@typo3.org>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

Revision f0f577de - 2015-01-18 09:58 - Markus Klein

[BUGFIX] Standalone- and TemplateView must not require ucfirst file names

There's no reason to require ucfirst file names for Layouts and Partials.
This patch allows free naming of Layouts, Partials and Templates.
For best performance we really suggest to stick to UpperCamelCase though.

Change-Id: I04049e2cd248288efb97e06cac3b5d8000fd1d52
Resolves: #63367
Resolves: #58087
Resolves: #64049
Releases: master
Reviewed-on: http://review.typo3.org/34812
Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>
Tested-by: Alexander Opitz <opitz.alexander@googlemail.com>
Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History
#1 - 2014-11-27 15:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34695

#2 - 2014-11-27 16:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34695

#3 - 2014-11-27 18:10 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34705

#4 - 2014-11-27 18:33 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34705

#5 - 2014-11-27 18:42 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34705

#6 - 2014-11-27 19:00 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2353ef2ec556c98c943559912807865d8832f6cd.

#7 - 2014-11-30 13:10 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#8 - 2014-11-30 15:22 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#9 - 2014-11-30 15:23 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#10 - 2014-11-30 16:18 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#11 - 2014-11-30 17:28 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#12 - 2014-11-30 17:51 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812
#13 - 2014-11-30 18:15 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#14 - 2014-11-30 18:31 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#15 - 2014-11-30 20:23 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#16 - 2014-11-30 20:52 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#17 - 2014-11-30 21:09 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#18 - 2014-12-02 14:07 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#19 - 2014-12-02 14:19 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#20 - 2014-12-02 14:45 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#21 - 2014-12-02 15:41 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34920
#22 - 2014-12-02 16:29 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#23 - 2014-12-02 16:30 - Markus Klein
- Status changed from Under Review to Resolved

Applied in changeset commit:6789c9e3e4af93aab1e761681757000cc1f8f9c9.

#24 - 2014-12-02 21:04 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 16 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#25 - 2014-12-21 15:34 - Gerrit Code Review

Patch set 17 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#26 - 2014-12-22 13:30 - Gerrit Code Review

Patch set 18 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#27 - 2014-12-23 19:57 - Mathias Schreiber
- Target version changed from next-patchlevel to 7.1 (Cleanup)

#28 - 2015-01-03 11:20 - Gerrit Code Review

Patch set 19 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#29 - 2015-01-03 14:42 - Gerrit Code Review

Patch set 20 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#30 - 2015-01-03 18:27 - Gerrit Code Review

Patch set 21 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812
#31 - 2015-01-05 11:50 - Gerrit Code Review

Patch set 22 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#32 - 2015-01-05 11:53 - Gerrit Code Review

Patch set 23 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#33 - 2015-01-05 14:06 - Gerrit Code Review

Patch set 24 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#34 - 2015-01-15 02:05 - Gerrit Code Review

Patch set 25 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/34812

#35 - 2015-01-18 10:00 - Markus Klein
- Status changed from Under Review to Resolved

Applied in changeset commit:f0f577de0ce97e3d3579e81148fb98160b62fdaf.

2015-08-04 6/6

http://review.typo3.org/34812
http://review.typo3.org/34812
http://review.typo3.org/34812
http://review.typo3.org/34812

